#
# spec file for package htop (Version 0.6.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks python rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib


Name:           htop
Url:            http://htop.sourceforge.net
Summary:        An Interactive text-mode Process Viewer for Linux
Version:        0.6.6
Release:        24.2
License:        GPL v2 or later
Group:          System/Monitoring
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-desktop-file-fix-thoenig-01.patch
Patch1:         htop-non-printable-characters.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel python
AutoReqProv:    on

%description
htop is an interactive text-mode process viewer for Linux. It aims to
be a better 'top' and requires ncurses. It is tested with Linux 2.6,
but is also reported to work (and was originally developed) with the
2.4 series.



Authors:
--------
    Hisham H. Muhammad

%debug_package
%prep
%setup
%patch0 -p0
%patch1 -p1

%build
./configure CFLAGS="$RPM_OPT_FLAGS" \
	--prefix=%{_prefix}         \
	--libdir=%{_libdir}         \
	--mandir=%{_mandir}
make

%install
mkdir -p %{buildroot}/%{_bindir}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{_buildroot}

%files 
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/*/%{name}*

%changelog
* Fri Nov 21 2008 - thoenig@suse.de
- add patch htop-non-printable-characters.patch: Don't try to show
  non-printable charcaters (bnc#440951)
* Sat Jun 02 2007 - thoenig@suse.de
- Update to htop 0.6.6
- Changes:
  * Add support of NLWP field
  * BUGFIX: Fix use of configurable /proc location
  * Fix memory percentage calculation and make it saner
  * Added display of DRS, DT, LRS and TRS
  * BUGFIX: LRS and DRS memory values were flipped
  * BUGFIX: Don't crash on very high UIDs
* Tue May 22 2007 - thoenig@suse.de
- Initial package submission (htop 0.6.5)
- Add patch htop-desktop-file-fix-thoenig-01.patch
